2.2.12 won't install on etch

Discussion in 'Installation/Configuration' started by fireba11, May 6, 2007.

  1. fireba11

    fireba11 Member HowtoForge Supporter

    i just tried to update my 2.2.9 to 2.2.12 ... it complains about quite a bit stuff "not working on my system" and then quits. luckily at that state the old version is still working

    any ideas ?
     
  2. till

    till Super Moderator Staff Member ISPConfig Developer

    The 2.2.12 works fine on Etch. Please post the exact error message, otherwise we can not say which package is missing on your server. Before you try to run the setup again, check that the /root/ispconfig directory exists, if it does not exist anymore, please create it.

    My guess is, that the c++ compiler is missing in your install. Please run the following command to install it:

    apt-get install cpp g++
     
  3. fireba11

    fireba11 Member HowtoForge Supporter

    not really ... half the installation runs fine ...



    gcc -DMONOLITH -I.. -I../include -DOPENSSL_THREADS -D_REENTRANT -DDSO_DLFCN -DHAVE_DLFCN_H -m64 -DL_ENDIAN -DTERMIO -O3 -Wall -DMD32_REG_T=int -DMD5_ASM -c -o s_server.o s_server.c
    /tmp/ccWUlUay.s: Assembler messages:
    /tmp/ccWUlUay.s:437: Error: Incorrect register `%rax' used with `l' suffix
    /tmp/ccWUlUay.s:445: Error: Incorrect register `%rbx' used with `l' suffix
    /tmp/ccWUlUay.s:465: Error: Incorrect register `%rdx' used with `l' suffix
    /tmp/ccWUlUay.s:466: Error: Incorrect register `%rbx' used with `l' suffix
    make[1]: *** [s_server.o] Error 1
    make[1]: Leaving directory `/opt/install_ispconfig/compile_aps/openssl-0.9.8e/apps'
    make: *** [build_apps] Error 1
    ERROR: Could not make OpenSSL
    cd: error retrieving current directory: getcwd: cannot access parent directories: No such file or directory
    mv: cannot stat `binaries/aps.tar.gz': No such file or directory
    mv: cannot stat `binaries/spamassassin.tar.gz': No such file or directory
    mv: cannot stat `binaries/uudeview.tar.gz': No such file or directory
    mv: cannot stat `binaries/clamav.tar.gz': No such file or directory
    mv: cannot stat `binaries/cronolog': No such file or directory
    mv: cannot stat `binaries/cronosplit': No such file or directory
    mv: cannot stat `binaries/ispconfig_tcpserver': No such file or directory
    mv: cannot stat `binaries/zip': No such file or directory
    mv: cannot stat `binaries/unzip': No such file or directory
    tar: spamassassin.tar.gz: Cannot open: No such file or directory
    tar: Error is not recoverable: exiting now
    tar: Child returned status 2
    tar: Error exit delayed from previous errors
    mv: cannot stat `spamassassin': No such file or directory
    tar: uudeview.tar.gz: Cannot open: No such file or directory
    tar: Error is not recoverable: exiting now
    tar: Child returned status 2
    tar: Error exit delayed from previous errors
    mv: cannot stat `uudeview': No such file or directory
    tar: clamav.tar.gz: Cannot open: No such file or directory
    tar: Error is not recoverable: exiting now
    tar: Child returned status 2
    tar: Error exit delayed from previous errors
    mv: cannot stat `clamav': No such file or directory
    tar: aps.tar.gz: Cannot open: No such file or directory
    tar: Error is not recoverable: exiting now
    tar: Child returned status 2
    tar: Error exit delayed from previous errors
    ./setup2: line 862: ispconfig_tmp/php/bin/php: No such file or directory
    ERROR: The PHP binary coming with ISPConfig does not work properly on your system! The installation routine stops here!
     
  4. till

    till Super Moderator Staff Member ISPConfig Developer

    - Did you instal your server as described in the perfects etup guide?
    - Do you have the openssl-dev pacakge installed?
    - Is this a 32 or 64 Bit linux?
     
  5. fireba11

    fireba11 Member HowtoForge Supporter

    yes, original setup was according to setup guide ...
    mind you i am only trying to update
    it's 32-bit

    what openssl-dev package ?
    etch only got a libssl-dev, i tried that but no change
     
  6. Joffar

    Joffar New Member

    Not sure if it helps, but I had a similar problem. My problem was that I had forgotten to do the following:
    Code:
    rm -f /bin/sh
     ln -s /bin/bash /bin/sh
     
  7. falko

    falko Super Moderator ISPConfig Developer

    Did you follow this guide as close as possible? http://www.howtoforge.com/perfect_setup_debian_etch

    This is needed on Ubuntu Edgy and Feisty, but not on Debian Etch.
     
  8. CvH

    CvH New Member

    i got the same problem (32bit)

    it couldnĀ“t compile openssl (also tried to dl the source tar and compile openssl myselfe, wont work)

    before i tested an Debian Etch (upgraded from vanilla sarge -> etch via dist-upgrade) and it works , now i have a vanilla debian etch and it didnt work anymore :eek:

    Compile error
    Code:
    cd openssl-0.9.8e
    ./config
    make
    Gcc 4.1.1-21

     
    Last edited: May 8, 2007
  9. jnsc

    jnsc rotaredoM Moderator

    Does it run inside a VPS (Virtuozzo)? Just a guess because I already had a problem with openssl and a VPS.
     
  10. CvH

    CvH New Member

    no it runs on an dedicated amd opteron machine (2.6.18-4-AMD64-Generetic)
     
    Last edited: May 8, 2007
  11. till

    till Super Moderator Staff Member ISPConfig Developer

    Hmm, this is really strange :confused: I installed the latest ISPConfig several times on Debian etch 32Bit without any problem.
     
  12. CvH

    CvH New Member

    till i install vanilla etch it works also by me ;)

    the problem is that my system (debian etch default) couldnĀ“t compile openssl :/ ... strange ...

    at openssl mail list is nothing to find about this problem ... :mad:

    is openssl essential for isp ? (i think i know the answer :D) or could it be somewhere deactivate :rolleyes:
     
  13. falko

    falko Super Moderator ISPConfig Developer

    What's the output of
    Code:
    uname -a
    ?
     
  14. CvH

    CvH New Member

    it is x86 :D


    Linux xxx.kkk.net 2.6.18-4-amd64 #1 SMP Wed Apr 18 12:02:35 UTC 2007 x86_64 GNU/Linux
     
  15. till

    till Super Moderator Staff Member ISPConfig Developer

    No, according to the uname output it is x86_64 which means 64Bit linux and not 32Bit linux.
     
  16. fireba11

    fireba11 Member HowtoForge Supporter

    aw crap .. i just notices i'm on 64-bit too .. thought i had instaled 32-bit .. ah well

    any ideas what to do ?


    i just noticed now that the update has failed cronolog is gone so my apache2 won't start anymore :((

    i uncommented to ispconfig log line in httpd.conf for now to get the apache running again ...
    still i need to fix this sometime soon ...

    PS:
    why is the /root/ispconfig folder deleted anyway ? so a filing upgrade will disable at least part of your setup ^^
     
    Last edited: May 13, 2007
  17. till

    till Super Moderator Staff Member ISPConfig Developer

    To your OpenSSL problem, please try this:

    http://www.howtoforge.com/forums/showthread.php?t=9159&highlight=openssl x86_64


    If you want ti run a update again, just recreate this folder:

    mkdir /root/ispconfig

    If we wont delete it, the installer would fail if it is there during an initial install where the setup script is run twice.
     
  18. fireba11

    fireba11 Member HowtoForge Supporter

    i'm afraid that didn't help.
    even after fixing the typos :-D

    build target is already set correctly as x86_64 it seems
     

Share This Page